<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>IsmartLab</title>
    <style>
        body{
            background-color: rgb(112, 109, 109);
            color: white;
            font: normal 15pt Arial;
        }
        h1{
            color: rgb(224, 161, 161);
            /*Assim faço comentário em css*/
        }
    </style>
</head>
<body>
    <h1>Olá, mundo!</h1>
    <!--Assim faço comentário em html-->
    <p>Este é o meu primeiro projeto de site de minha futura empresa de prestação de serviços técnicos especializados.</p>
    <p>Sejam bem vindos a página IsmartLab!</p>
    <script>
        //Isso é um comentario de uma linha em js.
       var nome = window.prompt("Qual é seu nome?");
       window.alert('Seja bem vindo ' + nome + '!')
       var n1 = window.prompt('Digite um valor:') //string
       var n2 = window.prompt('Digite o segundo vlor:') //string
       var c = n1 + n2
       window.alert('A concatenação das strings fica ' + c)
       // o comando 'window.prompt' retorna tipo string..
       // o operador '+' promove a concatenação de strings e a adição de números.
       // ou 'Number.parseFloat()' para números reais.
       var n3 = Number.parseInt(window.prompt('Digite outro número:'))
       var n4 = Number.parseInt(window.prompt('Digite o último número:'))
       var s = n3 + n4
       window.alert('A soma dos dois números é ' + s)
       // modo simplificado é usar a função 'Number', onde o js decide o tipo pra mim..
       var n5 = Number(window.prompt('Digite mais um número:'))
       window.alert(`o valor digitado foi ${n5}`)

    </script>
</body>
</html>